package com.jkcredit.sysnews.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.sysnews.model.dto.newsArticle.NewsArticleDto;
import com.jkcredit.sysnews.model.po.newsArticle.NewsArticlePo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/1 22:47
 * @version: V1.0
 **/
public interface NewsArticleMapper extends BaseMapper<NewsArticlePo> {
    IPage<NewsArticlePo> getNewsArticles(Page page, @Param("query")NewsArticleDto newsArticleDto);

    NewsArticlePo getNewsArticleById(Long id);

    IPage<NewsArticlePo> getNewsArticleByNavigationBarId(Page page, Long id);
}
